Sqlmap直连数据库时报错sqlmap requires ‘python-pymysql’ | 【韩涛博客】

Sqlmap直连数据库时报错sqlmap requires ‘python-pymysql’

描述

今天在使用sqlmap直连数据库时报错,出现了以下的信息,后来找了一些资料原因是缺少pymysql模块

sqlmap requires 'python-pymysql' third-party library in order to directly connect to the DBMS 'MySQL'. You can download it from 'https://github.com/PyMySQL/PyMySQL'. Alternative is to use a package 'python-sqlalchemy' with support for dialect 'mysql' installed

解决

安装pymysql

pip3 install pymysql

该文章首发:韩涛文库

广告

发表评论 取消回复
表情 图片 链接 代码

  1. shopify二次开发
    shopify二次开发 Lv 1

    谢谢,学到了不少东东

分享
×
订阅图标按钮